DRM_CRTC_VBLANK_ON(9)

NAME
drm_crtc_vblank_on - enable vblank events on a CRTC

SYNOPSIS

void drm_crtc_vblank_on(struct drm_crtc * crtc);

ARGUMENTS

crtc
    CRTC in question

DESCRIPTION

This functions restores the vblank interrupt state captured with drm_vblank_off again. Note that calls to drm_vblank_on and drm_vblank_off can be unbalanced and so can also be unconditionally called in driver load code to reflect the current hardware state of the crtc.

This is the native kms version of drm_vblank_on.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT